//此乃本模块与后台交互的方法接口部分
var jwServiceManageModule = function(format) {
	this.module = "serviceManage";
	this.action = "";
	this.format = format;
};

//定义数据交互
jwServiceManageModule.prototype = BusinessObject;

//接口信息_分页
jwServiceManageModule.prototype.listServiceManage = function(){};
//插入接口信息
jwServiceManageModule.prototype.insertServiceManage = function(){};
//修改接口信息
jwServiceManageModule.prototype.updateServiceManage = function(){};
//修改接口信息
jwServiceManageModule.prototype.deleteServiceManage = function(){};

//保存授权接口信息
jwServiceManageModule.prototype.ChoiceInterfaceSave = function(){};

//解除授权接口信息
jwServiceManageModule.prototype.deleteChoice = function(){};

//创建一个数据操作对象，然后再后续使用
jwServiceManageModule.jwServiceActAction = new jwServiceManageModule("json").delegate("act");
//创建一个数据获取对象，然后再后续使用
//jwAppCommonModel.jwAppsCommonDataAction = new jwAppCommonModel("json").delegate("systemdata");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
